package com.gingersoft.gsa.cloud.base.common.bean.mealManage;


import com.gingersoft.gsa.cloud.base.common.bean.TableBean;

/**
 * 作者：ELEGANT_BIN
 * 版本：1.6.0
 * 创建日期：2020-01-09
 * 修订历史：2020-01-09
 * 描述：保存開台返回的訂單數據
 */
public class OpenTableManage {

    private String TAG = getClass().getSimpleName();
    private static OpenTableManage sDefaultOpenTableManage;

    //開台信息
    private TableBean.DataBean tableBean;
    //使用狀態
    private int useStatus;
    //是否刷新數據
    private boolean isRefresh = false;
    //開台人數
    private int peopleNumber = 0;
    //是否分檯
    private boolean isSplite = false;
    //分檯編號
    private String splitNo;

    //訂單ID
//    private int orderId ;

    public static OpenTableManage getDefault() {
        if (sDefaultOpenTableManage == null) {
            sDefaultOpenTableManage = new OpenTableManage();
        }
        return sDefaultOpenTableManage;
    }

    public void clear() {
        peopleNumber = 0;
    }

    public TableBean.DataBean getTableBean() {
        return tableBean;
    }

    public void setTableBean(TableBean.DataBean tableBean) {
        this.tableBean = tableBean;
    }

    public int getUseStatus() {
        return useStatus;
    }

    public void setUseStatus(int useStatus) {
        this.useStatus = useStatus;
    }

    public boolean isRefresh() {
        return isRefresh;
    }

    public void setRefresh(boolean refresh) {
        isRefresh = refresh;
    }

    public int getPeopleNumber() {
        return peopleNumber;
    }

    public void setPeopleNumber(int peopleNumber) {
        this.peopleNumber = peopleNumber;
    }

    public boolean isSplite() {
        return isSplite;
    }

    public void setSplite(boolean splite) {
        isSplite = splite;
    }

    public String getSplitNo() {
        return splitNo;
    }

    public void setSplitNo(String splitNo) {
        this.splitNo = splitNo;
    }

    //    public int getOrderId() {
//        return orderId;
//    }
//
//    public void setOrderId(int orderId) {
//        this.orderId = orderId;
//    }
}
